<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bSiniestros,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>
	

		<%
		String matricula=request.getParameter("Matricula");
		      if (matricula==null || matricula.equals("NULL")){
		          matricula="";

		      }
		String codigo="";
		codigo = request.getParameter("Codigo");
		if ( (codigo==null) || (codigo.equals("")) ) {
				codigo= "";
		}
		String accion="";
		accion = request.getParameter("Accion");
		if ( (accion==null) || (accion.equals("")) ) {
				accion= "";
		}		
	  m05bSiniestros siniestro = null;		
      String mensaje=request.getParameter("Mensaje");
	  mensaje = mensaje == null ? "":mensaje;		
	
	
		%>
		  <% m05bFileLog miLog = new m05bFileLog(); %>	
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
			
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>

	<head>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
    <link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
  <title><%= resTit.getString("titVehSiniestros")%></title>
</head>
<BODY  style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_DET_GESTION_SINIESTROS%>?Matricula=<%=matricula%>&Codigo=<%=codigo%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_DET_GESTION_SINIESTROS%>";	 	 
</script>			
		
<%@include file="m05bVehiculosFijo.inc"%>			
			
<FORM NAME="formSiniestros" METHOD="POST">
			<%
            m05bCampos miCampo = new m05bCampos();
			
			String sql = "";
			
            String strCodTaller=""; String strDescTaller="";			
	        siniestro = (m05bSiniestros)session.getAttribute("m05bSiniestros");

		    if  (codigo.equals("")){	
				accion=m05bConstantes.ACC_INSERTAR;
				session.removeAttribute("m05bSiniestros");
				siniestro = new m05bSiniestros();
		        session.setAttribute("m05bSiniestros",siniestro);
	            m05bGenerarClave miID = new m05bGenerarClave();
	            String Auxiliar="to_number(" + m05bConstantes.COL_29_CODIGO + ")";
	            int cod = miID.getNextId(m05bConstantes.TAB_SINIESTROS, Auxiliar);
	            codigo= "" + cod;
 	  	      //Si no ha habido ningun error a la hora de grabar el vehiculo o es 
	  	      //estamos en la pagina sin haber grabado nada
		    }else if ((!(mensaje.equals(""))) &&  (accion.equals(m05bConstantes.ACC_INSERTAR))){
		  	 //si el vehículo no lo hemos recuperado de la base de datos
		  	 //porque es la primera vez que entramos en la pagina
	            m05bGenerarClave miID = new m05bGenerarClave();
	            String Auxiliar="to_number(" + m05bConstantes.COL_29_CODIGO + ")";
	            int cod = miID.getNextId(m05bConstantes.TAB_SINIESTROS, Auxiliar);
	            codigo= "" + cod;
	            accion=m05bConstantes.ACC_INSERTAR;	     
	  	     }	         

			else   if ((!(mensaje.equals(""))) &&  (accion.equals(m05bConstantes.ACC_ACTUALIZAR))){
	    
				accion=m05bConstantes.ACC_ACTUALIZAR;

			}else{
				accion=m05bConstantes.ACC_ACTUALIZAR;}
				
	   
			String sNombre="";
			String sFecha =siniestro.getSin_fecsiniestro();
	   		
			if (sFecha==null || sFecha.equals(""))
			    sFecha="";
			else
			sFecha=comun.Mes(sFecha,campoTexto3);
	    
			String sFecRes = siniestro.getSin_fecresolucion();
			
			if (sFecRes==null || sFecRes.equals(""))
			    sFecRes="";
			else
			sFecRes=comun.Mes(sFecRes,campoTexto3);

			strCodTaller = siniestro.getSin_taller();

			if (strCodTaller == null)
				strCodTaller = "";

            strDescTaller=miCampo.getCampo(m05bConstantes.TAB_TALLER, m05bConstantes.COL_30_DESCRIP,m05bConstantes.COL_30_CODIGO, strCodTaller);				
			String importe = siniestro.getSin_importe();
		    if (importe==null || importe.equals("")|| importe.equals("0") )
		       importe="";
     		String sDniConCon = siniestro.getSin_dnicc(); 
			if (sDniConCon==null)
				sDniConCon="";
			String sNomConCon=siniestro.getSin_nombrecc();
			if (sNomConCon==null)
				sNomConCon="";
			String sNomAcc = siniestro.getSin_nombreacc();
			if (sNomAcc==null)
				sNomAcc="";
			String sDni = siniestro.getSin_dni();
			if (sDni==null)
				sDni="";
			String sDniAcc = siniestro.getSin_dniacc();
			if (sDniAcc==null)
				sDniAcc="";
		    String aseguradoracc= siniestro.getSin_aseguradoracc();
			if (aseguradoracc==null)
				aseguradoracc="";
            String polizacc=siniestro.getSin_polizacc();
			if (polizacc==null)
				polizacc="";
            String matriculacc=siniestro.getSin_matriculacc();
			if (matriculacc==null)
				matriculacc="";       
			String observacion= siniestro.getSin_observacion();
			if (observacion==null)
				observacion="";   
		    String sResponsable=siniestro.getSin_responsable()==null?"":siniestro.getSin_responsable();
			m05bComun miComun  = new m05bComun();

			if (mensaje.equals(m05bConstantes.MSG_NOEXISTETALL)) {
			      outMsg.println("<script>alert(dameAlerta(idioma, 88));</script>");
            }
            if (mensaje.equals(m05bConstantes.MSG_NOEXISTEDNI)) {
			      outMsg.println("<script>alert(dameAlerta(idioma, 26));</script>");
            }		
		    StringBuffer sql2 = new StringBuffer();
		    sql2.append("SELECT ").append(m05bConstantes.COL_21_NOMBRE);
		    sql2.append(" FROM ").append(m05bConstantes.TAB_PERSONAL);
		    sql2.append(" WHERE ").append(m05bConstantes.COL_21_DNI).append(" ='").append(sDni).append("'");
		    try{
		    	   conexion = miConexion.getConnection();
                   conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
       	  	       pstmt2 = conexion.prepareStatement(sql2.toString());
		           rs2 = pstmt2.executeQuery();
		           if  (rs2.next() == true){
			            sNombre=rs2.getString(m05bConstantes.COL_21_NOMBRE);
		           }
		    } catch (Exception SQLException){
		    	
		        miLog.addTraza(SQLException);
		    } finally {
		        //m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
		        
			}
			%>
		<script language="JavaScript">
		     function fncGrabar(codigo,accion) {
		     	 
		      var docu=document.formSiniestros;
		      var fechaactual="<%=miComun.getFechaActual(campoTexto3)%>";
	          formatearFecha(document.formSiniestros.Fecha);
	          formatearFecha(document.formSiniestros.FecResolucion);
		      
              if (accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
                if ('<%=sFecRes%>'!=""){
                    var p = window.confirm(dameAlerta(idioma, 71));
                    if (p==1) {	
                       docu.Codigo.disabled=false;
		               docu.action="m05bGrabarSiniestrosServlet?Codigo="+codigo+"&Accion=" + accion+"&Matricula=<%=matricula%>";
		               docu.submit();}
		        }else{      
                docu.Codigo.disabled=false;
		        docu.action="m05bGrabarSiniestrosServlet?Codigo="+codigo+"&Accion=" + accion+"&Matricula=<%=matricula%>";
		        docu.submit();}
		      }else{
		     	if (docu.Fecha.value==""){
		     		alert(dameAlerta(idioma, 148));
                    docu.Fecha.select();
                    docu.Fecha.focus();}
			    else if (!(comparaFechas(docu.Fecha.value,fechaactual,idioma))){
		            alert(dameAlerta(idioma, 149));
                    docu.Fecha.select();
                    docu.Fecha.focus();}
		     	else if (docu.Dni.value==""){
		     		alert(dameAlerta(idioma, 150));
                    docu.Dni.select();
                    docu.Dni.focus();}
		     	else if (docu.Nombre.value==""){
		     		alert(dameAlerta(idioma, 151));
                    docu.Nombre.select();
                    docu.Nombre.focus();}
		     	else if ((docu.FecResolucion.value!="") && (docu.Responsabilidad.value=="")){
		     		alert(dameAlerta(idioma, 152));
                    docu.Responsabilidad.focus();}
		     	else{
		     	 if(docu.Dni){
			     	 if(existeCaracter(docu.Dni.value,"\'")||existeCaracter(docu.Dni.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.Dni.focus();
			 			return;
			 		 }
			 	 }
			 	 if(docu.Nombre){
			     	 if(existeCaracter(docu.Nombre.value,"\'")||existeCaracter(docu.Nombre.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.Nombre.focus();
			 			return;
			 		 }
			 	 }
			 	 if(docu.DniConCon){
			     	 if(existeCaracter(docu.DniConCon.value,"\'")||existeCaracter(docu.DniConCon.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.DniConCon.focus();
			 			return;
			 		 }
			 	 }
			 	 if(docu.NomConCon){
			     	 if(existeCaracter(docu.NomConCon.value,"\'")||existeCaracter(docu.NomConCon.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.NomConCon.focus();
			 			return;
			 		 }
			 	 }
			 	 if(docu.MatCon){
			     	 if(existeCaracter(docu.MatCon.value,"\'")||existeCaracter(docu.MatCon.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.MatCon.focus();
			 			return;
			 		 }
			 	 }
			 	 if(docu.DniAsegCon){
			     	 if(existeCaracter(docu.DniAsegCon.value,"\'")||existeCaracter(docu.DniAsegCon.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.DniAsegCon.focus();
			 			return;
			 		 }
			 	 }
			 	 if(docu.NomAsegCon){
			     	 if(existeCaracter(docu.NomAsegCon.value,"\'")||existeCaracter(docu.NomAsegCon.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.NomAsegCon.focus();
			 			return;
			 		 }
			 	 }
			 	 
			 	 if(docu.CiaAsegCon){
			     	 if(existeCaracter(docu.CiaAsegCon.value,"\'")||existeCaracter(docu.CiaAsegCon.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.CiaAsegCon.focus();
			 			return;
			 		 }
			 	 }
			 	 if(docu.PolContrario){
			     	 if(existeCaracter(docu.PolContrario.value,"\'")||existeCaracter(docu.PolContrario.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.PolContrario.focus();
			 			return;
			 		 }
			 	 }
			 	 if(docu.Comentarios){
			     	 if(existeCaracter(docu.Comentarios.value,"\'")||existeCaracter(docu.Comentarios.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.Comentarios.focus();
			 			return;
			 		 }
			 	 }
			 	 if(docu.CodTaller){
			     	 if(existeCaracter(docu.CodTaller.value,"\'")||existeCaracter(docu.CodTaller.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.CodTaller.focus();
			 			return;
			 		 }
			 	 }
			 	 if(docu.DescTaller){
			     	 if(existeCaracter(docu.DescTaller.value,"\'")||existeCaracter(docu.DescTaller.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.DescTaller.focus();
			 			return;
			 		 }
			 	 }
		    	 docu.Codigo.disabled=false;
		         docu.action="m05bGrabarSiniestrosServlet?Codigo="+codigo+"&Accion=" + accion+"&Matricula=<%=matricula%>";
		         docu.submit();}
		      }
			 }
		</SCRIPT>
			
     <% if ((!(situacion.equals("B")))  &&  (sExisteMatricula.equals("1"))) {%>
       <TABLE class="buscar" width="100%">
		    <tr>
		       <td  align="right"  width="50%"> 
		     <% if	(accion==m05bConstantes.ACC_ACTUALIZAR){%>
		        <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Eliminar" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='Eliminar'; return false" onMouseOut="top.status=''; return false" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/eliminar.gif"/-->
                <input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />				      					  		        
		     <%}%>
		      <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='Grabar'; return false" onMouseOut="top.status=''; return false" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/grabar.gif"/> </td-->
              <input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  		      

		</tr>
		  </TABLE>
     <%}%>		
			
			  <TABLE class="buscar">
			    <tr>
			      <td width="10%" align="left" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
			      <td width="22%" colspan ="2" align="left" class="inputFieldTitle"><%= res.getString("etFecha")%></td>
			      <td width="32%" colspan ="1" align="left" class="inputFieldTitle"><%= res.getString("etDNIContrario")%></td>
			      <td align="left" colspan ="2" class="inputFieldTitle"><%= res.getString("etNomConductorContrario")%></td>
			    </tr>
			    <tr>
			      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" disabled NAME="Codigo" VALUE="<%=codigo%>" size="10" maxlength="10" /> </td>
	  	  		  <td align="left" colspan="2">
	  	  		  	<table width="100%"> 
	  	  		  		<tr>
	  	  		  			<td width="46%"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Fecha" VALUE="<%=sFecha%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;">
	  	  		  			</td>
	  	  		  			<td align="left">
	  	  		  				<a href='#' name='anchorFecha'  onClick='JavaScript:showCalendar("anchorFecha",idioma,document.all("Fecha"),true,25,10,2002);cambiaPosCal(300,225);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border='0' src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario1"/>
	  	  		  			</td>
	  	  		  		</tr>	  	  		  		
	  	  		  	</table>
	  	  		  </td>	  	  	
			      <td align="left" colspan="1"> <INPUT class="inputField" TYPE="TEXT" NAME="DniConCon" VALUE="<%=sDniConCon%>" size="10" maxlength="10"/> </td>
			      <td align="left" colspan="2"> <INPUT class="inputField" TYPE="TEXT" NAME="NomConCon" VALUE="<%=sNomConCon%>" size="30" maxlength="50"/> </td>
			    </tr>
			    <tr>
				  <td  class="inputFieldTitle" colspan="1"><%= res.getString("etDNI")%></td>
				  <td  class="inputFieldTitle"colspan="5" ><%= res.getString("etPersona")%></td>
	  			 </tr>
	  		    <tr>
				 <td align="left" colspan="1"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Dni" VALUE="<%= sDni%>" size="10" maxlength="22"  > </td>
                 <% if ((!(situacion.equals("B")))  ) {%>
			     <td width="15%" align="left" colspan="1">
			       <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Buscar" valign="BOTTOM" ONCLICK="JavaScript:fncBuscarPersonas(formSiniestros);return false;" onMouseOver="top.status='Buscar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/buscar.gif"/-->
				   <input type="button" class="botonS" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscarPersonas(formSiniestros);return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false;" onMouseOut="top.status=''; return false;" />			       
			     </td>
				 <td align="left" colspan="4"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Nombre" VALUE="<%= sNombre%>" size="80" maxlength="100" ></td>
				 <% if (mensaje.equals(m05bConstantes.MSG_NOEXISTEDNI)) {
				     outMsg.println(" <script> document.formSiniestros.Dni.focus();</script>");
				  }} else {%>
				 <td align="left" colspan="5"><INPUT class="inputField" TYPE="TEXT" NAME="Nombre" VALUE="<%= sNombre%>" size="80" maxlength="100" ></td>
			     <%} %>
	 		  </tr>
			    <tr>
			      <td align="left" class="inputFieldTitle"><%= res.getString("etMatriculaContrario")%></td>
			      <td align="left" class="inputFieldTitle"><%= res.getString("etDniAsegCon")%></td>
			      <td align="left" colspan="2" class="inputFieldTitle"><%= res.getString("etNomAsegCon")%></td>
			      <td align="left" class="inputFieldTitle"><%= res.getString("etCiaAsegCon")%></td>
			      <td align="left" class="inputFieldTitle"><%= res.getString("etPolizaContrario")%></td>
			    </tr>
			    <tr>
			      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="MatCon" VALUE="<%=matriculacc%>" size="10" maxlength="10" /> </td>
			      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="DniAsegCon" VALUE="<%=sDniAcc%>" size="10" maxlength="10" /> </td>
			      <td align="left" colspan="2"><INPUT class="inputField" TYPE="TEXT" NAME="NomAsegCon" VALUE="<%=sNomAcc%>" size="30" maxlength="30" /> </td>
			      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="CiaAsegCon" VALUE="<%=aseguradoracc%>" size="15" maxlength="15"/> </td>
			      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="PolContrario" VALUE="<%=polizacc%>" size="30" maxlength="15"/> </td>
			    </tr>
			    <tr>
			      <td align="left" colspan="2" class="inputFieldTitle"><%= res.getString("etFechaResolucion")%></td>
			      <td align="left" colspan="4" class="inputFieldTitle"><%= res.getString("etObservaciones")%></td>
			    </tr>
			    <tr>
			      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="FecResolucion" VALUE="<%=sFecRes%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;"></td>
                  <td align="left"><a href='#' name='anchorFResolucion'  onClick='JavaScript:showCalendar("anchorFResolucion",idioma,document.all("FecResolucion"),true,25,10,2002);cambiaPosCal(200,356);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border='0' src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario2"/></td>
			      <td align="left" colspan="4" class="inputField"><INPUT class="inputField" TYPE="TEXT" NAME="Comentarios" VALUE="<%=observacion%>" size="80" maxlength="150"/> </td>
			    </tr>
			    <tr>
			      <td align="left" class="inputFieldTitle"><%= res.getString("etResponsable")%></td>
			      <td align="left" class="inputFieldTitle"><%= res.getString("etPeritado")%></td>
			      <td align="left" colspan="3" class="inputFieldTitle"><%= res.getString("etTaller")%></td>
			      <td align="left" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
			    </tr>
			    <tr>	  
			     <td align="left">
                       	  <select class=inputField  NAME="Responsabilidad" onchange="JavaScript:blur();" onblur=" borrar_buffer();" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();">
                       	     <option value=""> </option>
                       	     	 <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC,"NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_RESPONSABILIDAD, sResponsable)%>
         				  </select>
         		 </td>
			      <td align="left" width="10%"> 
                   <%if ((siniestro.getSin_peritado()!=null) && (siniestro.getSin_peritado().toUpperCase().equals("S"))){%>			      	  
			      	  <INPUT class="inputField" TYPE="CHECKBOX" NAME="Peritado" VALUE="S" checked  size="4" maxlength="4" />
                   <%}else{%>
			      	  <INPUT class="inputField" TYPE="CHECKBOX" NAME="Peritado" VALUE="S" size="4" maxlength="4" />
                   <%}%>
                   		  
                  </td>
 			      <td colspan="3">
 			      	<table width="100%" cellspacing="0" cellpadding="0">
 			      		<tr>
 			      			 <td align="left" width="18%"><INPUT class="inputField" TYPE="TEXT" NAME="CodTaller" VALUE="<%= strCodTaller%>" size="8" maxlength="4" ></td>
			 			      <% if (mensaje.equals(m05bConstantes.MSG_NOEXISTETALL)) {
							       outMsg.println("<script> document.formSiniestros.CodTaller.focus();</script>");
							      }%>
			                  <td align="left" width="26%">&nbsp;<input type="button" class="botonS" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscarTaller(formSiniestros);return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>			  
							  <td align="left" width="56%" ><INPUT class="inputField" TYPE="TEXT" NAME="DescTaller" VALUE="<%=strDescTaller%>" size="24" maxlength="100" /></td>		      	  
 			      		</tr>
 			      	</table>
 			      </td>
 			          
 			      <td align="left" width="36%"><INPUT class="inputField" TYPE="TEXT" NAME="Importe" VALUE="<%=importe%>" size="15" maxlength="7" onblur="javascript:formatNumeroDecimal(this,6,2);return false;"/> </td>			    	  
			   </tr>
			  </TABLE>
			<input type="hidden" name="Matricula" value="<%=matricula%>">
    <% if (situacion.equals("B")) {%>
    			<SCRIPT>
                      document.formSiniestros.Codigo.disabled=true;
                      document.formSiniestros.Fecha.disabled=true;
                      document.formSiniestros.DniAsegCon.disabled=true;
                      document.formSiniestros.Dni.disabled=true;
                      document.formSiniestros.Nombre.disabled=true;
                      document.formSiniestros.Taller.disabled=true;
                      document.formSiniestros.DniConCon.disabled=true;
                      document.formSiniestros.NomConCon.disabled=true;
                      document.formSiniestros.MatCon.disabled=true;
                      document.formSiniestros.NomAsegCon.disabled=true;
                      document.formSiniestros.DniAsegCon.disabled=true;
                      document.formSiniestros.CiaAsegCon.disabled=true;
                      document.formSiniestros.PolContrario.disabled=true;
                      document.formSiniestros.FecResolucion.disabled=true;
                      document.formSiniestros.Responsabilidad.disabled=true;
                      document.formSiniestros.Peritado.disabled=true;
                      document.formSiniestros.Importe.disabled=true;
                      document.formSiniestros.Comentarios.disabled=true;
                      
                      parent.document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      parent.document.all["calendario1"].border='0';   
                      parent.document.all["calendario2"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      parent.document.all["calendario2"].border='0';   
                      
                </SCRIPT>
     <%}%>
<script>
    formatNumeroDecimal(document.formSiniestros.Importe,6,2);
	formatearFecha(document.formSiniestros.Fecha);
	formatearFecha(document.formSiniestros.FecResolucion);
</script>	
</FORM>
 </td>
</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabSiniestros=document.getElementById("tabSiniestros");
   
   tabSiniestros.style.backgroundColor="#000078"	;
</SCRIPT>
</BODY>
</HTML>